LocalPlayerListenerType = objc.delegate("GKLocalPlayerListener")

-- This is called by GameKit when the local player accepts an invite
function LocalPlayerListenerType:player_didAcceptInvite_(objPlayer, objInvite)
    -- Display the matchmaker view controller which will take care of
    -- connecting the players and starting the match
    matchmakerViewController = objc.GKMatchmakerViewController:alloc():initWithInvite_(objInvite)
    matchmakerViewController.matchmakerDelegate = matchmakerViewControllerDelegate
    viewController:presentModalViewController_animated_(matchmakerViewController, true)
end

function authenticateHandler(objViewController, objError)
    if objError ~= nil then
        print("Error: " .. objError.localizedDescription)
    end

    createStartButtons()
end
